<solidify-empty-container (onEscape)="isEdit ? backToDetail() : backToList()"
                          [solidifyFocusFirstElement]="true"
                          solidifyShortCuts
>
  <solidify-button-toolbar-detail [backToListNavigate]="backToListNavigate()"
                                  (backToDetailChange)="backToDetail()"
                                  (deleteChange)="delete()"
                                  (editChange)="edit()"
                                  [currentModel]="currentObs | async"
                                  [formPresentational]="formPresentational"
                                  [mode]="isEdit ? 'edit' : 'detail'"
  >
  </solidify-button-toolbar-detail>

  <div [solidifySpinner]="isLoadingWithDependencyObs | async"
       class="wrapper"
  >
    <dlcm-admin-person-form #formPresentational
                            *ngIf="isReadyToBeDisplayedObs | async"
                            [editAvailable]="editAvailable"
                            [listRole]="listRoleObs | async"
                            [model]="currentObs | async"
                            [readonly]="!isEdit"
                            [selectedInstitutions]="selectedInstitutionsObs | async"
                            [selectedOrgUnitRole]="selectedOrgUnitRoleObs | async"
                            [selectedInstitutionRole]="selectedInstitutionRoleObs | async"
                            (checkAvailableChange)="checkAvailable($event)"
                            (dirtyChange)="updateCanDeactivate($event)"
                            (editChange)="edit()"
                            (navigate)="navigate($event)"
                            (submitChange)="update($event)"
    >
    </dlcm-admin-person-form>
  </div>
</solidify-empty-container>


